<% if @subjects.present? %>
  <% @subjects.each do |subject| %>
    <div class="subject-card step" data-value="<%= subject.subject_id %>" data-period="<%= @period.id %>">
      <div class="content">
        <a class="title"><%= subject.subject.name.titleize %></a>
        <div class="description">
<!--          <strong>Tutor: </strong> <%#= subject.teacher.full_name.titleize %><br>-->
<!--          <strong>Fecha de cierre: </strong> <%#= student_subject_due_date(subject) %><br>-->
<!--          <strong>Fecha de examen: </strong> <%#= student_subject_exam_date(subject) %><br>-->
<!--          <strong>Fecha de examen supletorio: </strong> <%#= student_subject_ext_exam_date(subject) %>-->
        </div>
      </div>
    </div>
  <% end %>
<% else %>
  <div class="step">
    <div class="title">No ha cursado materias en este periodo.</div>
  </div>
<% end %>

<script>
  $('.subject-card').click(function(){
    $('.right-column-loader-div').show()
    $('.right-column-loader').show();
    $('.right-column').hide();
    $('.subject-card').css("background-color","");
    $(this).css("background-color","#f3f4f5");

    setTimeout(function (){
      $('.right-column-loader-div').hide()
      $('.right-column-loader').hide();
    }, 1500)

    $.ajax({
      url: `/admin/user/users/<%= @user.id %>/reports/student_subject_progress`,
      method: 'GET',
      dataType: 'script',
      data: {
        search: $(this).data('value'),
        period_id: $(this).data('period')
      }
    }).done(function() {
      setTimeout(function (){
        $('.right-column').show();
      }, 1500)
    })
  })
</script>
